#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-base-1.20.0

- Next

  gst-plugins-bad-1.20.0

- Up
- Home

# gst-plugins-good-1.20.0

## Introduction to GStreamer Good Plug-ins

The GStreamer Good Plug-ins is a set of plug-ins considered by the GStreamer developers to have good quality code, correct functionality, and the preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library). A wide range of video and audio decoders, encoders, and filters are included.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-1.20.0.tar.xz

- Download MD5 sum: f952449915499ed3402c32e79d1037fa

- Download size: 3.3 MB

- Estimated disk space required: 108 MB (with tests)

- Estimated build time: 0.6 SBU (Using parallelism=4; with tests)

### GStreamer Good Plug-ins Dependencies

#### Required

gst-plugins-base-1.20.0

#### Recommended

Cairo-1.17.4, FLAC-1.3.3, gdk-pixbuf-2.42.6, LAME-3.100, libsoup-2.74.2, libvpx-1.11.0, mpg123-1.29.3, and NASM-2.15.05

#### Optional

AAlib-1.4rc5, ALSA OSS-1.1.8, GTK+-3.24.31 (for examples), libdv-1.0.0, PulseAudio-15.0, Qt-5.15.2, Speex-1.2.0, taglib-1.12, Valgrind-3.18.1, v4l-utils-1.22.1, Wayland-1.20.0, hotdoc, JACK, libcaca, libavc1394, libiec61883, libraw1394, libshout, Orc, TwoLame, and WavPack

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gst10-plugins-good

## Installation of GStreamer Good Plug-ins

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

### Note

If you need a plugin for a given dependency, that dependency needs to be installed before this package.

Install GStreamer Good Plug-ins by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           --buildtype=release \
           -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
           -Dpackage-name="GStreamer 1.20.0 BLFS" &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Libraries: Several plugins under /usr/lib/gstreamer-1.0
Installed Directories: /usr/share/gstreamer-1.0/presets

Last updated on

- Prev

  gst-plugins-base-1.20.0

- Next

  gst-plugins-bad-1.20.0

- Up
- Home